Package twisted :: Package popsicle :: Module mailsicle :: Class MailsicleAuthorizer

[show private | hide private]
[frames | no frames]

## Class MailsicleAuthorizer

    OriginalAccessor --+
                       |
              Authorizer --+
                           |
                          MailsicleAuthorizer

A twisted.cred authorizer that's persistent in a Mailsicle database.

NOTE: only one MailsicleAuthorizer may be present in a given Mailsicle database.

Method Summary
| `__init__(self, msicle, serviceCollection)`
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| ``addIdentity`(self, identity)` Create an identity and make a callback when it has been created.
| ``createIdentity`(self, name)` Create an identity of an appropriate type for this Authorizer. (inherited from `Authorizer`)
| `get_application(self)` (inherited from `Authorizer`)
| ``getIdentityRequest`(self, name)` Get an identity request, make the given callback when it's received.
| `getServiceNamed(self, name)` (inherited from `Authorizer`)
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects. (inherited from `OriginalAccessor`)
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects. (inherited from `OriginalAccessor`)
| `removeIdentity(self, identityName)` (inherited from `Authorizer`)
| ``setApplication`(self, app)` Set the application for this authorizer. (inherited from `Authorizer`)
| ``setServiceCollection`(self, collection)` Set the service collection for this authorizer. (inherited from `Authorizer`)

Method Details

### addIdentity(self, identity)

Create an identity and make a callback when it has been created.

  Raises:
    `error.DuplicateIdentity` - There is already an identity by this name.
  Overrides:
    `twisted.cred.authorizer.Authorizer.addIdentity` (inherited documentation)

### getIdentityRequest(self, name)

Get an identity request, make the given callback when it's received.

Override this to provide a method for retrieving identities than the hash provided by default. The method should return a Deferred.

Note that this is asynchronous specifically to provide support for authenticating users from a database.

  Overrides:
    `twisted.cred.authorizer.Authorizer.getIdentityRequest` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:18:35 2003 | http://epydoc.sf.net